Skip to main content
GET
Get agent logs

Authorizations

Authorization
string
header
required

Authentication requires a Pipecat Cloud Private API token.

Generate a Private API key from your Dashboard (Settings > API Keys > Private > Create key) and include it as a Bearer token in the Authorization header.

Path Parameters

agentName
string
required

Name of the agent to retrieve logs for

Query Parameters

limit
integer
default:10

Maximum number of log entries to return

offset
integer
default:0

Number of log entries to skip

deploymentId
string

Filter logs to a specific deployment ID

sessionId
string

Filter logs to a specific session ID

query
string

Free-text search query to filter logs

order
enum<string>
default:desc

Sort order for logs

Available options:
asc,
desc
startTime
integer

Filter logs to those after this Unix timestamp

endTime
integer

Filter logs to those before this Unix timestamp

Response

Agent logs retrieved successfully

total
object
logs
object[]

List of log entries